---
title: "Move documents in bulk"
url: "https://docs.signnow.com/docs/document/operations/put-folder-folder_unique_id-documents"
type: "endpoint"
section: "document"
slug: "document/operations/put-folder-folder_unique_id-documents"
method: "PUT"
path: "/folder/{folder_unique_id}/documents"
operation_id: "put-folder-folder_unique_id-documents"
authorization: "bearer"
---

# Move documents in bulk

`PUT /folder/{folder_unique_id}/documents`

This endpoint allows users to move their documents in bulk to the specified folder.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `folder_unique_id` | string | Yes | ID of the target folder to move documents |

## Request Body

**Schema**

```json
{
  "type": "array",
  "items": {
    "type": "object",
    "required": [
      "unique_id"
    ],
    "properties": {
      "unique_id": {
        "type": "string",
        "description": "ID of moving documents. Limit: 25 documents."
      }
    }
  },
  "x-examples": {
    "Example 1": [
      {
        "unique_id": "abc42eecf44c41aabe1803280d379562930a1964"
      },
      {
        "unique_id": "ebe10d8381b34fca86ed09d87b8a4130b146e80d"
      }
    ]
  }
}
```

**Example** (`Request moving two documents`)

```json
[
  {
    "unique_id": "abc42eecf44c41aabe1803280d379562930a1964"
  },
  {
    "unique_id": "ebe10d8381b34fca86ed09d87b8a4130b146e80d"
  }
]
```

## Responses

### 200

Documents moved successfully.

**Example** (`Example 1`)

```json
{
  "status": "success"
}
```

**Example** (`Documents moved successfully `)

```json
{
  "status": "success"
}
```

### 400

- Document limit (maximum: 25) is exceeded.
- Bad request, including:
  - Document does not exist;
  - Operation is not allowed (user tries to move Document into Template folder etc.);
  - User does not have rights to move the Document.
- Target folder does not exist.
- Invalid document ID.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 65536,
      "message": "Invalid payload length"
    }
  ]
}
```

**Example** (`Bad request`)

```json
{
  "code": 160,
  "errors": [
    {
      "code": 75,
      "message": "Resource doesn't exist",
      "unique_id": "abc42eecf4sc41aabe1803280d379562930a1964"
    },
    {
      "code": 79,
      "message": "operation not allowed",
      "unique_id": "b605d4d971cd48d1ba3af6b15eaa467aa091e282"
    },
    {
      "code": 74,
      "message": "not readable",
      "unique_id": "398392b4f4ac421c92bbffa74a04d706a75fc969"
    }
  ],
  "message": "Bad request"
}
```

**Example** (`Invalid document ID`)

```json
{
  "errors": [
    {
      "code": 65536,
      "message": "Invalid unique id"
    }
  ]
}
```

**Example** (`Document limit exceeded`)

```json
{
  "errors": [
    {
      "code": 65536,
      "message": "Invalid payload length"
    }
  ]
}
```

**Example** (`Target folder does not exist`)

```json
{
  "errors": [
    {
      "code": 65611,
      "message": "folder Resource doesn't exist"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/folder/{folder_unique_id}/documents" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '[{"unique_id": "abc42eecf44c41aabe1803280d379562930a1964"}, {"unique_id": "ebe10d8381b34fca86ed09d87b8a4130b146e80d"}]'
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/put-folder-folder_unique_id-documents*
